<div>
  <div *nzModalTitle>{{ headerText }}</div>

  <div>
    <p
      i18n="Card Description| Description for the delete confirmation dialog@@deleteDialogDescription">
      Please confirm the action by entering <b>{{ confirmationText }}</b>.
    </p>

    <form nz-form [formGroup]="form" (ngSubmit)="onSubmit()" class="delete-dialog-form">
      <nz-form-item>
        <nz-form-label nzRequired
          i18n="Confirmation text | Input for confirmation text@@deleteConfirmationInput">
          Confirmation Text
        </nz-form-label>
        <nz-form-control nzHasFeedback [nzErrorTip]="confirmationError">
          <input
            nz-input
            [placeholder]="confirmationText"
            [formControl]="confirmationControl"
            autocomplete="off" />
          <ng-template #confirmationError let-control>
            <ng-container *ngIf="control.hasError('required')"
                          i18n="Input required | Error input required text @@inputRequired">Input is
              <strong>required</strong></ng-container>
          </ng-template>
        </nz-form-control>
      </nz-form-item>
    </form>
  </div>

  <div *nzModalFooter>
    <button
      nz-button
      (click)="handleClose()"
      i18n="Cancel text | Text for delete dialog cancel button@@deleteDialogCancelButton">
      Cancel
    </button>
    <button
      nz-button
      [disabled]="!deleteConfirmed"
      (click)="onSubmit()"
      i18n="Confirm text | Text for delete dialog confirmation button@@deleteDialogConfirmationButton">
      Confirm
    </button>
  </div>
</div>
